org.apache.ivy.plugins.parser.xml

## Class XmlModuleDescriptorWriter

- java.lang.Object
- - org.apache.ivy.plugins.parser.xml.XmlModuleDescriptorWriter

    public final class XmlModuleDescriptorWriter
    extends java.lang.Object

### Method Summary

Methods
`protected static void` `printConfiguration(Configuration conf, java.io.PrintWriter out)`
`protected static void` `printDependency(ModuleDescriptor md, DependencyDescriptor dep, java.io.PrintWriter out)`
`static void` `write(ModuleDescriptor md, java.io.File output)`
`static void` `write(ModuleDescriptor md, java.lang.String licenseHeader, java.io.File output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public static void write(ModuleDescriptor md,
             java.io.File output)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    public static void write(ModuleDescriptor md,
             java.lang.String licenseHeader,
             java.io.File output)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### printDependency

    protected static void printDependency(ModuleDescriptor md,
                       DependencyDescriptor dep,
                       java.io.PrintWriter out)

#### printConfiguration

    protected static void printConfiguration(Configuration conf,
                          java.io.PrintWriter out)